### Method

# Gdk RGBA to_string

#### Declaration [src]

    char*
    gdk_rgba_to_string (
      const GdkRGBA* rgba
    )

#### Description [src]

Returns a textual specification of `rgba` in the form `rgb(r,g,b)` or `rgba(r,g,b,a)`, where “r”, “g”, “b” and “a” represent the red, green, blue and alpha values respectively. “r”, “g”, and “b” are represented as integers in the range 0 to 255, and “a” is represented as a floating point value in the range 0 to 1.

These string forms are string forms that are supported by the CSS3 colors module, and can be parsed by `gdk_rgba_parse()`.

Note that this string representation may lose some precision, since “r”, “g” and “b” are represented as 8-bit integers. If this is a concern, you should use a different representation.

#### Return value

Type: `char*`

A newly allocated text string.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.